unit Expcndlg;

interface

uses
  WinTypes,
  Classes,
  Graphics,
  Controls,
  Forms,
  ExtCtrls,
  StdCtrls,
  Buttons,
  PRN_Type;

type
  TExportConfirmDlg = class(TForm)
    ResultLabel: TLabel;
    FilenameLabel: TLabel;
    btnOK: TButton;
    procedure FormCreate(Sender: TObject);
  private
    { Private declarations }
    FFilename :string;
    FExportType :PRN_TExportType;
  public
    { Public declarations }
    constructor Create(AOwner :TComponent; filename :string; ExportType :PRN_TExportType);
  end;

var
  ExportConfirmDlg: TExportConfirmDlg;

implementation

{$R *.DFM}

uses
  ShellAPI,
  GP_Util,
  SysUtils;

constructor TExportConfirmDlg.Create(AOwner :TComponent; filename :string; ExportType :PRN_TExportType);
begin
  FFilename := filename;
  FExportType := ExportType;
  inherited create(AOwner);
end;

procedure TExportConfirmDlg.FormCreate(Sender: TObject);
begin
  { set the label to show the filename }
  FilenameLabel.Caption := ExtractFileName(FFileName);

  { set the left of the result label so it will look centred when }
  { the filename label is to the right of it }
  ResultLabel.Left := (Width - FilenameLabel.Width - ResultLabel.Width - 5) div 2;

  { set the filename label to be to the right of the result label }
  FileNameLabel.Left := ResultLabel.Left + ResultLabel.Width + 5;
end;

end.
