unit Main;

interface

uses
  SysUtils, Windows, Messages, Classes, Graphics, Controls,
  Forms, Dialogs, StdCtrls, Grids, ExtCtrls, FlexiRep, PRN_Type, Buttons,
  Tabs;

type
  TMainForm = class(TForm)
    pnButtonPanel: TPanel;
    PrinterSetupDialog1: TPrinterSetupDialog;
    btnExport: TButton;
    sgExcelSheet: TStringGrid;
    Label1: TLabel;
    btnSetup: TButton;
    procedure btnExportClick(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure FormResize(Sender: TObject);
    procedure btnSetupClick(Sender: TObject);
  private
    { Private declarations }
    FFlexiRep :TFlexiReport;
    procedure OnExportCell(Sender :TObject; var ExportInfo :PRN_TExportInfoStruct);

  public
    { Public declarations }
  end;

var
  MainForm: TMainForm;

implementation

{$R *.DFM}

uses
  PrefsDlg,
  xl_types;

procedure TMainForm.btnExportClick(Sender: TObject);
begin
  FFlexiRep := TFlexiReport.create(self, sgExcelSheet);
  FFlexiRep.OnExportCell := OnExportCell;
  FFlexiRep.ShowExportOptionsDialog(self);
  FFlexiRep.Free;
end;

procedure TMainForm.FormCreate(Sender: TObject);
var
  iCol, iRow :integer;
begin
  with sgExcelSheet do
  begin
    for iCol := 0 to ColCount - 1 do
      for iRow := 0 to RowCount - 1 do
        Cells[iCol, iRow] := '[' + IntToStr(iCol) + ', ' + IntToStr(iRow) + ']';
  end;
end;

procedure TMainForm.FormResize(Sender: TObject);
begin
  btnExport.Left := ClientWidth - btnExport.Width - 8;
  btnSetup.Left := btnExport.Left - btnSetup.Width - 4;
  sgExcelSheet.Left := 8;
  sgExcelSheet.Width := ClientWidth - (2 * sgExcelSheet.Left);
  sgExcelSheet.Height := ClientHeight - sgExcelSheet.Top - btnExport.Height - 16;
end;

procedure TMainForm.btnSetupClick(Sender: TObject);
begin
  PreferencesDlg := TPreferencesDlg.create(self);
  PreferencesDlg.ShowModal;
end;

procedure TMainForm.OnExportCell(Sender :TObject; var ExportInfo :PRN_TExportInfoStruct);
begin
  with ExportInfo do
  begin
    if ((iRow < sgExcelsheet.FixedRows) or (iCol < sgExcelsheet.FixedCols)) then
      FFlexiRep.ExcelSheet.TextStyle := tsBold
    else
      FFlexiRep.ExcelSheet.TextStyle := tsNormal;
  end;
end;

end.
